xbrightness(1)

NAME
xbrightness - Adjust a monitor's brightness for XFree86

SYNOPSIS
xbrightness BRIGHTNESS [ GAMMA ]

DESCRIPTION

xbrightness sets the overall brightness of a monitor via the XFree86 X server video mode extension (XFree86-VidModeExtension).

It uses the new XF86VidModeSetGammaRamp function, which provides a more flexible control than the old XF86VidModeSetGamma. The latter function cannot change the endpoints of the gamma curve, only the middle, so full brightness remains full brightness no matter how you set the gamma.

ARGUMENTS

BRIGHTNESS
    A number from 0 to 65535, where 0 means complete darkness, and 65535 means normal functioning - full brightness.

GAMMA
    A float number from 0.0 to 10.0, which gives the exponent used for building the gamma ramp. The default is 1.0 (linear).

ENVIRONMENT

DISPLAY
    To get default host and display number.

BUGS

Does not have
    display or screen arguments - set these via DISPLAY environment variable if necessary.

Does not query brightness, only sets it.

Does not play well with xgamma - xbrightness will erase xgamma's
    settings and vice versa.

SEE ALSO
xgamma(1)

AUTHORS

Asher Blum <asher@wildspark.com> Jean-Daniel Pauget <jdp@disjunkt.com>

HISTORY
Written in January 2003 to use the recently added XF86VidModeSetGammaRamp function as an overall brightness control. Additions in September 2005 in order to get some revival from a shifted LCD screen.

LINKS
http://wildspark.com/xbrightness/ http://disjunkt.com/xbrightness/